#pragma once
#include "pipeline.h"

class rect_pipeline : public pipeline {
public:
    struct param {
        Eigen::Matrix4f projection_matrix;
    };
    bool init() override;
    void destroy() override;

    virtual void set_param(const param& in_param);
protected:
    renderer_buffer* param_buffer = nullptr;
};
